@charset "utf-8";

.footer__gotop span {
  -webkit-writing-mode: vertical-rl;
  -ms-writing-mode: tb-rl;
  writing-mode: vertical-rl;
}

.footer__gotop::before {
    content: "";
    display: block;
    position: absolute;
    height: 60px;
    width: 7px;
    background: url(../img/common/icon_arrow_top.png) 50%/contain no-repeat;
    top: 0;
    left: -webkit-calc(50% - 1px);
    left: calc(50% - 1px);
    -webkit-transition: -webkit-transform .4s;
    transition: -webkit-transform .4s;
    -o-transition: -o-transform .4s;
    transition: transform .4s;
    transition: transform .4s,-webkit-transform .4s,-o-transform .4s;

}

.footer__gotop.is-showing {
  opacity: 1;
  pointer-events: auto;
  -webkit-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
  transform: translateY(0);
}

.footer__gotop {
  position: fixed;
  right: 38px;
  bottom: 57px;
  display: block;
  font-family: Libre Baskerville,serif;
  font-size: 14px;
  color: #000;
  letter-spacing: .1em;
  padding-top: 70px;
  opacity: 0;
  pointer-events: none;
  -webkit-transform: translateY(50px);
  -ms-transform: translateY(50px);
  -o-transform: translateY(50px);
  transform: translateY(50px);
  -webkit-transition: opacity .4s,-webkit-transform .4s;
  transition: opacity .4s,-webkit-transform .4s;
  -o-transition: opacity .4s,-o-transform .4s;
  transition: opacity .4s,transform .4s;
  transition: opacity .4s,transform .4s,-webkit-transform .4s,-o-transform .4s;
  z-index: 1;
}
